CrossSection Class

The CrossSection class defines a with cross section points
Inheritance Hierarchy
SystemObject
  Tekla.Structures.CatalogsCrossSection

Namespace:  Tekla.Structures.Catalogs
Assembly:  Tekla.Structures.Catalogs (in Tekla.Structures.Catalogs.dll) Version: 2023.0.3
Syntax
[SerializableAttribute]
public sealed class CrossSection

The CrossSection type exposes the following members.

Constructors
  NameDescription
Public methodCrossSection(String)
Creates a new cross section point instance.
Public methodCrossSection(ProfileName)
Creates a new cross section point instance.
Top
Properties
  NameDescription
Public propertyHighAccuracy
The contour geometry accuracy.
Public propertyInnerSurfacePoints
Gets the points for inner surfaces.
Public propertyInnerSurfaces
Gets the cross section points for inner surfaces.
Public propertyLength
The total length
Public propertyLocation
The location in relation to length, 0.0 referring to start of the profile
Public propertyOuterSurface
Gets the cross section points for outer surface.
Public propertyOuterSurfacePoints
Gets the cross section points for outer surface.
Public propertyProfile
The profile where cross section is asked from
Top
Methods
  NameDescription
Public methodGetInnerContours
Gets the inner loop geometries as Polycurve.
Public methodGetOuterContour
Gets the outer loop geometry as Polycurve.
Public methodSelect(Double, Double)
Selects the cross section from the profile definition.
Public methodSelect(Boolean, Double, Double)
Selects the cross section from the profile definition.
Top
Examples
using System;
using Tekla.Structures.Catalogs;

public class Example
{
    public void Example1()
    {
        CrossSection section = new CrossSection("HEA100");

        if (section.Select())
        {
            var outerSurface = section.OuterSurface;
            if(outerSurface != null)
            {
                foreach (CrossSectionPoint point in outerSurface)
                {
                    Console.WriteLine("Point " + string.Format("({0:0.000}, {1:0.000}, {2:0.000})", point.X, point.Y, point.Z));
                    Console.WriteLine("Chamfer type " + point.Chamfer.Type.ToString());
                    Console.WriteLine("Chamfer " + string.Format("({0:0.000}, {1:0.000}, {2:0.000}, {3:0.000})", point.Chamfer.X, point.Chamfer.Y, point.Chamfer.DZ1, point.Chamfer.DZ2));
                }

                Console.WriteLine("HEA100 cross section points selected successfully");
            }
        }
    }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next